Package tigase.cert

# Interface CertificateGenerator

All Known Implementing Classes:
  `KeytoolCertificateGenerator`

public interface CertificateGenerator

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canGenerateWildcardSAN()`
  `X509Certificate`
  `generateSelfSignedCertificate(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair)`
  Deprecated.
  `default CertificateEntry`
  `generateSelfSignedCertificateEntry(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair)`
  `CertificateEntry`
  `generateSelfSignedCertificateEntry(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair, boolean generateWildcardCnAlt)`

- ## Method Details

  - ### canGenerateWildcardSAN

    boolean canGenerateWildcardSAN()

  - ### generateSelfSignedCertificate

    @Deprecated X509Certificate generateSelfSignedCertificate(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair) throws CertificateException, IOException, NoSuchAlgorithmException, InvalidKeyException, NoSuchProviderException, SignatureException
    Deprecated.
    Throws:
      `CertificateException`
      `IOException`
      `NoSuchAlgorithmException`
      `InvalidKeyException`
      `NoSuchProviderException`
      `SignatureException`

  - ### generateSelfSignedCertificateEntry

    default CertificateEntry generateSelfSignedCertificateEntry(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair) throws GeneralSecurityException, IOException
    Throws:
      `GeneralSecurityException`
      `IOException`

  - ### generateSelfSignedCertificateEntry

    CertificateEntry generateSelfSignedCertificateEntry(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair, boolean generateWildcardCnAlt) throws GeneralSecurityException, IOException
    Throws:
      `GeneralSecurityException`
      `IOException`